dnl @synopsis AC_CHECK_JAVA_HOME
dnl
dnl Check for Sun Java (JDK / JRE) installation, where the 'java' VM is in.
dnl If found, set environment variable JAVA_HOME = Java installation home,
dnl else left JAVA_HOME untouch, which in most case means JAVA_HOME is empty.
dnl
dnl @version $Id: ac_check_java_home.m4,v 1.1 2002/09/12 21:53 ac-archive-0.5.37 $
dnl @author Gleen Salmon <gleensalmon@yahoo.com>
dnl
AC_DEFUN([AC_CHECK_JAVA_HOME],[
AC_REQUIRE([AC_EXEEXT])dnl
AC_PATH_PROG(JAVA_PATH_NAME, java$EXEEXT)
if test x$JAVA_PATH_NAME != x; then
        JAVA_HOME=`echo $JAVA_PATH_NAME | sed "s/\(.*\)[[/]]bin[[/]]java$EXEEXT$/\1/"`
fi;dnl
])
