dnl @synopsis AC_PROG_SCP
dnl
dnl Check for the program 'scp', let script continue if exists, pops up error message if not.
dnl
dnl Besides checking existence, this macro also set these environment variables upon completion:
dnl
dnl     SCP = which scp
dnl
dnl @version $Id: ac_prog_scp.m4,v 1.1 2002/09/12 21:48 ac-archive-0.5.37 $
dnl @author Gleen Salmon <gleensalmon@yahoo.com>
dnl
AC_DEFUN([AC_PROG_SCP],[
AC_REQUIRE([AC_EXEEXT])dnl
AC_PATH_PROG(SCP, scp$EXEEXT, nocommand)
if test "$SCP" = nocommand; then
        AC_MSG_ERROR([scp not found in $PATH])
fi;dnl
])
